Subject: bug#30728: Modification for guix installation script.

From: Ricardo Wurmus <[email-masked]>
Date: Mon, 26 Mar 2018 11:11:49 +0200

Hi Clément,

> As I said to Chris (Cc'ed), I don't think it's a good idea to install
> Guix in root's home directory.  Instead, we should probably honor the
> USER and HOME environment variables, so that the command can be run as a
> non-root user (with sudo) in a consistent way.  What do you think?

The script should be run as root as it follows the manual’s
instructions, which tell people to install Guix for the root user and
then make it available system-wide.

This is why I think that it would be correct to install it to the root’s
home directory and not to the sudoing user’s HOME.

Or am I missing something?

-- 
Ricardo

GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
https://elephly.net